//
//  Squadron.m
//  Spaceships
//
//  Created by Robert Menes on 3/19/12.
//  This is all public domain.
//

#import "Squadron.h"

@implementation Squadron

{
    Spaceship *greenShip, *yellowShip, *blueShip;
}

// We're overriding the init methods here

-(id) init 
{
    greenShip = [[Spaceship alloc] init];
    yellowShip = [[Spaceship alloc] init];
    blueShip = [[Spaceship alloc] init];
    return self;
}

// Time for those getter methods!

-(int) squadHealth

{
    return greenShip.shipHealth + yellowShip.shipHealth + blueShip.shipHealth;
}

-(int) squadStrength

{
    return greenShip.shipStrength + yellowShip.shipStrength + blueShip.shipStrength;
}

// And now for some setter methods!

-(void)setShipHealth: (int) health
{
    [greenShip setShipHealth:health/3];
    [yellowShip setShipHealth:health/3];
    [blueShip setShipHealth:health/3];
}

-(void)setShipStrength: (int) strength
{
    [greenShip setShipStrength:strength/3];
    [yellowShip setShipStrength:strength/3];
    [blueShip setShipStrength:strength/3];
}

// This is for if you want to set each ship's stats
// separately instead of all at once. Top one is for
// health and bottom one is for strength.


-(void)setShipHealthForFirstShip:(int) firstShip AndSecondShip:(int) secondShip AndThirdShip:(int) thirdShip
{
    [greenShip setShipHealth:firstShip];
    [yellowShip setShipHealth:secondShip];
    [blueShip setShipHealth:thirdShip];
}

-(void)setShipStrengthForFirstShip:(int) firstShip AndSecondShip:(int) secondShip AndThirdShip:(int) thirdShip
{
    [greenShip setShipStrength:firstShip];
    [yellowShip setShipStrength:secondShip];
    [blueShip setShipStrength:thirdShip];
}

@end
